#
# spec file for package trufflehog
#
# Copyright (c) 2022 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           trufflehog
Version:        3.53.0
Release:        0
Summary:        Find credentials all over the place
License:        AGPL-3.0-or-later
URL:            https://github.com/trufflesecurity/trufflehog
Source:         trufflehog-%{version}.tar.gz
Source1:        vendor.tar.gz
BuildRequires:  golang-packaging
BuildRequires:  libpcre1
BuildRequires:  go >= 1.20
%{go_nostrip}

%description
TruffleHog is an open source secret-scanning engine that helps resolve exposed
secrets across your company’s entire tech stack. 

%prep
%autosetup -D -a 1

%build
make install GOARGS="-mod vendor -buildmode pie"

%install
install -Dm 755 /home/abuild/go/bin/trufflehog %{buildroot}/%{_bindir}/trufflehog


%files
%doc README.md
%license LICENSE
%{_bindir}/trufflehog

%changelog

